package cn.estsh.i3plus.pojo.mes.model.mgn.bj;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/10/28 11:27 AM
 * @Modify:
 */
@Data
public class BjBoardModel implements Serializable {

    @ApiParam("jsa数量")
    private Integer jsaQty;
    @ApiParam("完成数量")
    private Integer completeQty;
    @ApiParam("总数量")
    private Integer totalQty;
    @ApiParam("预警数量")
    private Integer warnQty;
    @ApiParam("预警率")
    private Integer warnRate;
    @ApiParam("目标合格率")
    private Integer targetRate = 0;
    @ApiParam("一次合格率")
    private Integer onceQualityRate = 0;

    @ApiParam("x坐标内容")
    private String xAxis;

    @ApiParam("x坐标内容")
    private List<String> xAxisList;

    @ApiParam("显示数据")
    private List<BjBoardSeriesModel> seriesModels;
}
